> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Update patient profile details

> Payload for updating patient profile.

**Name Field Requirement**:
  - Either `fln` **must be provided**, or at least `fn` must be included (optionally with `mn` and `ln`).
  - If you do not want to change the name, omit all name fields.




## OpenAPI

````yaml patch /profiles/v1/patient/{oid}
openapi: 3.0.3
info:
  title: Patient APIs
  description: Patient Directory CRUD
  version: 1.0.0
servers:
  - url: https://api.eka.care
security: []
paths:
  /profiles/v1/patient/{oid}:
    patch:
      tags:
        - Patient
      summary: Update patient profile details
      description: |
        Payload for updating patient profile.

        **Name Field Requirement**:
          - Either `fln` **must be provided**, or at least `fn` must be included (optionally with `mn` and `ln`).
          - If you do not want to change the name, omit all name fields.
      parameters:
        - in: header
          name: client-id
          required: true
          schema:
            type: string
            example: EC_1431
        - in: path
          name: oid
          required: true
          schema:
            type: string
            example: 18661861868168
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                dob:
                  type: string
                  format: date
                  example: '2000-01-02'
                gen:
                  type: string
                  enum:
                    - M
                    - F
                    - O
                  description: Gender
                  example: M
                mobile:
                  type: string
                  description: Mobile number of the patient
                  example: '+916000000000'
                fn:
                  type: string
                  description: First name (will be converted and stored in lowercase)
                  example: eka
                mn:
                  type: string
                  description: Middle name (will be converted and stored in lowercase)
                  example: eka
                ln:
                  type: string
                  description: Last name (will be converted and stored in lowercase)
                  example: user
                fln:
                  type: string
                  description: Full name (will be converted and stored in lowercase)
                  example: eka user
                bloodgroup:
                  type: string
                  enum:
                    - A+
                    - A-
                    - B+
                    - B-
                    - AB+
                    - AB-
                    - O+
                    - O-
                  description: Blood group of the patient
                  example: A+
                s:
                  type: string
                  description: Salutation (will be converted and stored in lowercase)
                  example: Dr
                email:
                  type: string
                  format: email
                  example: testuser@eka.care
                  description: >-
                    Email address of the patient (will be converted and stored
                    in lowercase)
                abha:
                  type: string
                  description: ABHA address of the patient
                  example: xyz@abdm
                username:
                  type: string
                  description: >
                    Unique UHID| partner id | username for the patient.

                    **Note:** username must be unique within a workspace. Please
                    refrain from sending it unless it has changed.
                  example: UH0001
                extras:
                  type: object
                  additionalProperties: true
                  description: Additional arbitrary data as a JSON object
                  example:
                    dummyKey: Dummy Value
      responses:
        '200':
          description: Update Patient profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Profile updated successfully
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    400Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid Gender Enum
            code:
              type: string
              example: invalid_request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````